Skip to main content
PUT
cURL
Configured props you define when updating a deployed trigger will overwrite previously configured props.

Authorizations

Authorization
string
header
required

A short-lived Connect token for client-side requests on behalf of an end user. Generate one via the Create Connect token endpoint.

Headers

x-pd-environment
enum<string>
required

The environment in which the server client is running

Available options:
development,
production

Path Parameters

project_id
string
required

The project ID, which starts with proj_.

Pattern: ^proj_[a-zA-Z0-9]+$
trigger_id
string
required

Query Parameters

external_user_id
string
required

The external user ID who owns the trigger

Body

application/json

Request options for updating a trigger

active
boolean

Whether the trigger should be active

configured_props
object

The configured properties of the component

name
string

The name of the trigger

emit_on_deploy
boolean

Whether the trigger should emit events during deployment

Response

deployed trigger updated

Response received when retrieving a deployed trigger

data
object
required

A component/interface that emits events